using System.Text.Json;

namespace View_by_Distance.Compare.Models.Binder;

public class Configuration
{

    public string DiffPropertyDirectory { get; set; }
    public Property.Models.Configuration PropertyConfiguration { get; set; }
    public string[] Rename { get; set; }
    public string[] RenameB { get; set; }
    public string[] RenameC { get; set; }
    public string[] Spelling { get; set; }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}