using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Instance.Models.Binder;

public class DegreesMinutesSeconds
{

    public float? Degrees { get; set; }
    public float? Minutes { get; set; }
    public float? Seconds { get; set; }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, BinderDegreesMinutesSecondsSourceGenerationContext.Default.DegreesMinutesSeconds);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(DegreesMinutesSeconds))]
internal partial class BinderDegreesMinutesSecondsSourceGenerationContext : JsonSerializerContext
{
}