using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record ContentSignature(
    [property: JsonPropertyName("contentSignature")] string Value,
    [property: JsonPropertyName("contentSignatureType")] string ContentSignatureType
);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(ContentSignature))]
public partial class ContentSignatureGenerationContext : JsonSerializerContext
{
}