using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MappingFromPhotoPrism(DatabaseFile DatabaseFile,
                                    List<Marker> Markers)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MappingFromPhotoPrismGenerationContext.Default.MappingFromPhotoPrism);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MappingFromPhotoPrism))]
public partial class MappingFromPhotoPrismGenerationContext : JsonSerializerContext
{
}