using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record RootAmazon(
    [property: JsonPropertyName("aggregations")] Aggregations Aggregations,
    [property: JsonPropertyName("count")] int Count,
    [property: JsonPropertyName("data")] IReadOnlyList<Datum> Data
);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(RootAmazon))]
public partial class RootAmazonGenerationContext : JsonSerializerContext
{
}