using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record SearchData(
    [property: JsonPropertyName("clusterName")] string ClusterName,
    [property: JsonPropertyName("locationId")] string LocationId,
    [property: JsonPropertyName("locationInfo")] LocationInfo LocationInfo,
    [property: JsonPropertyName("thingId")] string ThingId
);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(SearchData))]
public partial class SearchDataGenerationContext : JsonSerializerContext
{
}