using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record PersonAmazon(
    [property: JsonPropertyName("count")] int Count,
    [property: JsonPropertyName("match")] string Match,
    [property: JsonPropertyName("searchData")] SearchData SearchData
);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(PersonAmazon))]
public partial class PersonAmazonGenerationContext : JsonSerializerContext
{
}